Tables/List tables

List tables

GET/tables

Authorization

AuthorizationRequiredBearer <token>

Authorization: Bearer onn_live_…. Prefix lookup (first 12 characters) plus argon2id. Scopes are tables:read and tables:write (write implies read).

In: header

curl -X GET "https://api.onnie.ai/api/public/v1/tables" \
  -H "Authorization: Bearer <token>"

Tables in the workspace

{
  "tables": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "alias_id": "string",
      "name": "string",
      "project_id": "string"
    }
  ]
}